Subject: bug#58912: bug#59283: 29.0.50; `custom-set-faces' does not respect :height when set on start-up

From: Dmitry Gutov <[email-masked]>
Date: Sat, 19 Nov 2022 16:10:47 +0200

On 19.11.2022 08:02, Po Lu via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> Dmitry Gutov<[email-masked]>  writes:
> 
>> On 01.11.2022 03:01, Po Lu wrote:
>>> Dmitry Gutov<[email-masked]>   writes:
>>>
>>>> Depends on the attribute.
>>>>
>>>> If I set :foreground, it is retained both under X and -nw. :background too.
>>>>
>>>> If I set :underline, it is retained under -nw, but not under X. But
>>>> that includes an older branch which I haven't merged master to for a
>>>> while, which I use daily.
>>>>
>>>> Underline similarly appears briefly during startup but then goes
>>>> away. Same for :inverse-video. All under X (-nw keeps them).
>>>>
>>>> Said branch doesn't touch anything display-related, so it should
>>>> behave like master a few months ago.
>>>>
>>>> The difference seems to be that the most recent master also does that
>>>> to attributes :height and :family.
>>> If you run "xrdb -query", what is printed?
>> $ xrdb -query
>> *customization:	-color
>> Xft.dpi:	192
>> Xft.antialias:	1
>> Xft.hinting:	0
>> Xft.hintstyle:	hintnone
>> Xft.rgba:	rgb
>> Xcursor.size:	48
>> Xcursor.theme:	DMZ-White
>>
>> In case this is still relevant.
> Would you please see if Emacs now behaves satisfactorily in this regard?

As I previously wrote in bug#59306, the fonts seem fine now, and they 
have been the reason for me filing this bug report (#58912). But the 
frame size is still jumpy (something I only noticed later).

So we could close this bug and continue in bug#59306, I suppose?